INSERT INTO agents (name, dir_name, package_name, minimal_version, dev_type, show_in_shortcut, description) VALUES
('Advantech routers', 'agent_advantech', 'adwarfg_advantech.tgz', '6.2.0', 2, true, 'Supports V2, V2i, V3 and V4 running ConelOS/ICR OS'),
("Teltonika routers - only monitoring", 'agent_teltonika', 'adwarfg_teltonika.ipk', NULL, 4, true, 'Monitoring only functionality, server certificate check is disabled.'),
("OpenWRT - only monitoring", 'agent_owrt', 'adwarfg_owrt.ipk', NULL, 3, true, 'Needs installing openssh-client for tunnels on the OpenWRT system, otherwise monitoring-only. Server certificate check is disabled.'),
('GNU/Linux (generic)', 'agent_linux', 'adwarfg_linux.tgz', NULL, 1, true, 'Generic Linux agent with systemd/initd integration. Cmdline installation.'),
("Teltonika routers - cmdline, mon. only", 'agent_teltonika', 'adwarfg_teltonika.tgz', NULL, 4, false, 'Cmdline install. Needs installing openssh-client for tunnels on the Teltonika system. Server certificate check is disabled.'),
("OpenWRT - cmdline, mon. only", 'agent_owrt', 'adwarfg_owrt.tgz', NULL, 3, false, 'Cmdline install. Needs installing openssh-client for tunnels on the OpenWRT system. Server certificate check is disabled.'),
("AAD - automated agent deployment tool", 'aad', 'push_agent.py', NULL, 1, false, 'A command-line level Python tool to automate mass device installation. See documentation before experimenting.');

INSERT INTO agent_device_type_map (agent_id, device_type_id) VALUES (1, 2), (2, 1), (3, 3), (4, 4), (1, 5);

INSERT INTO agent_versions (dev_type, version_major, version_minor, version_patchlevel, actual) VALUES
(1, 1, 0, 0, true),
(2, 1, 0, 0, true),
(3, 1, 0, 0, true),
(4, 1, 0, 0, true);

INSERT INTO product_versions (id, actual, version_major, version_minor, version_patchlevel, version_string, major, beta, notification, force_display, release_date, description) values 
(1, true, 1, 0, 0, 'Party', true, false, true, true, '2024-12-23',
'<h5>Release notes</h5>'
'<h6>Server:</h6><ul>'
'<li>Added grafana integration and example dashboard for tracking of cellular data counters per device.</li>'
'<li>Implemented Custom Scripts to enable user reporting and monitoring of values generated by custom scripts.</li>'
'<li>Implemented alert exceptions, allowing to extempt some devices from the general (all-devices) alerts.</li>'
'<li>Added SIM-card management allowing for dynamic and static tracking of SIM card presence in devices and MSISDN management, enabling e.g. command SMS sending etc.</li>'
'<li>Implemented System labels to support several use-cases. Available in the Devices table.</li>'
'<li>Added device authentication profiles, allowing specifying device credentials for ssh access (e.g. access to System router for sending out command and regular SMS.</li>'
'<li>Implemented SMS sending via system-assigned device. Both regular SMS and command-SMS for Advantech devices are supported.</li>'
'<li>SNMP name of the device sent to server. (available also in the devices table)</li>'
'<li>Device IP addresses are accessible in the Devices table. The IP forms a clickable link to the IP supporting use case of direct device linking on VPN (single network).</li>'
'<li>Enhanced Dwarfguard command line.</li>'
'<li>New alert targets - support for alerting on signal strength and signal quality.</li>'
'<li>Performance improvements, especially for big device pools (10000+ devices).</li>'
'</ul><h6>Agents:</h6><ul>'
'<li>Support for custom scripts execution and data values reporting.</li>'
'<li>Device invalid date fix (when CMOS battery dead and date resets to 1980-01-01, making all HTTPS certificates check automatically failing).</li>'
'<li>Initial support for CS-Tech devices.</li>'
'<li>Improved agent command-line options (to show data exchange chatter, save data sent to server, debug custom scripts etc.)</li>'
'</ul>');

INSERT INTO product_flags(id, version, description) values ('buildtag', 1, 'v1.0.0');
INSERT INTO product_flags(id, version, description) values ('about_info', 1, 'Dwarfguard - Monitoring, Alerting, Management and Automation System

Build tag: v1.0.0
Build date: 2024_12_23__19_41_07

Build components:
(mamas): v1.0.0
(mamasbig): v1.0.0
(mamasweb): v1.0.0
(mamasnotify): v1.0.0');
